osgViewer::SphericalDisplay Class Reference

`#include <SphericalDisplay>`

Inheritance diagram for osgViewer::SphericalDisplay:

## Public Member Functions

| SphericalDisplay (double radius=1.0, double collar=0.45, unsigned int screenNum=0, osg::Image *intensityMap=0, const osg::Matrixd &projectorMatrix=osg::Matrixd())
| SphericalDisplay (const SphericalDisplay &rhs, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgViewer, SphericalDisplay)
virtual void | configure (osgViewer::View &view) const
void | setRadius (double r)
double | getRadius () const
void | setCollar (double r)
double | getCollar () const
void | setScreenNum (unsigned int n)
unsigned int | getScreenNum () const
void | setIntensityMap (osg::Image *im)
const osg::Image * | getIntensityMap () const
void | setProjectionMatrix (const osg::Matrixd &m)
const osg::Matrixd & | getProjectionMatrix () const
Public Member Functions inherited from osgViewer::ViewConfig
| ViewConfig ()
| ViewConfig (const ViewConfig &rhs, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgViewer, ViewConfig)
virtual osg::DisplaySettings * | getActiveDisplaySetting (osgViewer::View &view) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

osg::Geometry * | create3DSphericalDisplayDistortionMesh (const osg::Vec3 &origin, const osg::Vec3 &widthVector, const osg::Vec3 &heightVector, double sphere_radius, double collar_radius, osg::Image *intensityMap, const osg::Matrix &projectorMatrix) const
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

double | _radius
double | _collar
unsigned int | _screenNum
osg::ref_ptr< osg::Image > | _intensityMap
osg::Matrixd | _projectorMatrix
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

spherical display using 6 slave cameras rendering the 6 sides of a cube map, and 7th camera doing distortion correction to present on a spherical display.

## Constructor & Destructor Documentation

## SphericalDisplay() [1/2]

osgViewer::SphericalDisplay::SphericalDisplay | ( | double | radius = 1.0,
|  | double | collar = 0.45,
|  | unsigned int | screenNum = 0,
|  | osg::Image * | intensityMap = 0,
|  | const osg::Matrixd & | projectorMatrix = osg::Matrixd() )

inline

References _collar, _intensityMap, _projectorMatrix, _radius, and _screenNum.

Referenced by META_Object(), and SphericalDisplay().

## SphericalDisplay() [2/2]

osgViewer::SphericalDisplay::SphericalDisplay | ( | const SphericalDisplay & | rhs,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References _collar, _intensityMap, _projectorMatrix, _radius, _screenNum, osg::CopyOp::SHALLOW_COPY, SphericalDisplay(), and osgViewer::ViewConfig::ViewConfig().

## Member Function Documentation

## configure()

virtual void osgViewer::SphericalDisplay::configure | ( | osgViewer::View & |  | ) | const

virtual

configure method that is overridden by Config subclasses.

Reimplemented from osgViewer::ViewConfig.

## create3DSphericalDisplayDistortionMesh()

osg::Geometry * osgViewer::SphericalDisplay::create3DSphericalDisplayDistortionMesh | ( | const osg::Vec3 & | origin,
|  | const osg::Vec3 & | widthVector,
|  | const osg::Vec3 & | heightVector,
|  | double | sphere_radius,
|  | double | collar_radius,
|  | osg::Image * | intensityMap,
|  | const osg::Matrix & | projectorMatrix ) const

protected

## getCollar()

double osgViewer::SphericalDisplay::getCollar | ( |  | ) | const

inline

References _collar.

## getIntensityMap()

const osg::Image * osgViewer::SphericalDisplay::getIntensityMap | ( |  | ) | const

inline

References _intensityMap.

## getProjectionMatrix()

const osg::Matrixd & osgViewer::SphericalDisplay::getProjectionMatrix | ( |  | ) | const

inline

References _projectorMatrix.

## getRadius()

double osgViewer::SphericalDisplay::getRadius | ( |  | ) | const

inline

References _radius.

## getScreenNum()

unsigned int osgViewer::SphericalDisplay::getScreenNum | ( |  | ) | const

inline

References _screenNum.

## META_Object()

osgViewer::SphericalDisplay::META_Object | ( | osgViewer | ,
|  | SphericalDisplay | )

References SphericalDisplay().

## setCollar()

void osgViewer::SphericalDisplay::setCollar | ( | double | r | ) |

inline

References _collar.

## setIntensityMap()

void osgViewer::SphericalDisplay::setIntensityMap | ( | osg::Image * | im | ) |

inline

References _intensityMap.

## setProjectionMatrix()

void osgViewer::SphericalDisplay::setProjectionMatrix | ( | const osg::Matrixd & | m | ) |

inline

References _projectorMatrix.

## setRadius()

void osgViewer::SphericalDisplay::setRadius | ( | double | r | ) |

inline

References _radius.

## setScreenNum()

void osgViewer::SphericalDisplay::setScreenNum | ( | unsigned int | n | ) |

inline

References _screenNum.

## Member Data Documentation

## _collar

double osgViewer::SphericalDisplay::_collar

protected

Referenced by getCollar(), setCollar(), SphericalDisplay(), and SphericalDisplay().

## _intensityMap

osg::ref_ptr<osg::Image> osgViewer::SphericalDisplay::_intensityMap

protected

Referenced by getIntensityMap(), setIntensityMap(), SphericalDisplay(), and SphericalDisplay().

## _projectorMatrix

osg::Matrixd osgViewer::SphericalDisplay::_projectorMatrix

protected

Referenced by getProjectionMatrix(), setProjectionMatrix(), SphericalDisplay(), and SphericalDisplay().

## _radius

double osgViewer::SphericalDisplay::_radius

protected

Referenced by getRadius(), setRadius(), SphericalDisplay(), and SphericalDisplay().

## _screenNum

unsigned int osgViewer::SphericalDisplay::_screenNum

protected

Referenced by getScreenNum(), setScreenNum(), SphericalDisplay(), and SphericalDisplay().

The documentation for this class was generated from the following file:

- SphericalDisplay